[fuel] Accept arm clusters as valid deploy targets
[releng.git] / jjb / fuel / fuel-deploy.sh
index cb9febe..85f2610 100755 (executable)
@@ -38,7 +38,6 @@ fi
 
 # set deployment parameters
 export TMPDIR=${HOME}/tmpdir
-BRIDGE=${BRIDGE:-pxebr}
 # shellcheck disable=SC2153
 LAB_NAME=${NODE_NAME/-*}
 # shellcheck disable=SC2153
@@ -49,19 +48,15 @@ LAB_CONFIG_URL=${LAB_CONFIG_URL:-'ssh://jenkins-ericsson@gerrit.opnfv.org:29418/
 # Fuel requires deploy script to be ran with sudo, Armband does not
 SUDO='sudo -E'
 if [ "${PROJECT}" = 'fuel' ]; then
-    # Fuel does not use any POD-specific configuration for virtual deploys
-    if [[ "${NODE_NAME}" =~ "virtual" ]]; then
-        POD_NAME="virtual_kvm"
-    fi
     # Fuel currently supports ericsson, intel, lf and zte labs
-    if [[ ! "${LAB_NAME}" =~ (ericsson|intel|lf|zte) ]]; then
+    if [[ ! "${LAB_NAME}" =~ (arm|enea|ericsson|intel|lf|unh|zte) ]]; then
         echo "Unsupported/unidentified lab ${LAB_NAME}. Cannot continue!"
         exit 1
     fi
 else
     SUDO=
-    # Armband currently supports arm, enea labs
-    if [[ ! "${LAB_NAME}" =~ (arm|enea) ]]; then
+    # Armband currently supports arm, enea, unh labs
+    if [[ ! "${LAB_NAME}" =~ (arm|enea|unh) ]]; then
         echo "Unsupported/unidentified lab ${LAB_NAME}. Cannot continue!"
         exit 1
     fi
@@ -81,6 +76,7 @@ if [[ "$BRANCH" =~ (danube|euphrates) ]]; then
         rm -rf "${LOCAL_CFG}"
         git clone --quiet --branch "${BRANCH}" "${LAB_CONFIG_URL}" "${LOCAL_CFG}"
         LAB_CONFIG_ARG="-b file://${LOCAL_CFG}"
+        BRIDGE_ARG="-B ${BRIDGE:-pxebr}"
     else
         LAB_CONFIG_ARG="-b ${LAB_CONFIG_URL}"
     fi
@@ -92,7 +88,7 @@ FUEL_LOG_FILENAME="${JOB_NAME}_${BUILD_NUMBER}.log.tar.gz"
 # construct the command
 DEPLOY_COMMAND="${SUDO} ${WORKSPACE}/ci/deploy.sh ${LAB_CONFIG_ARG:-} \
     -l ${LAB_NAME} -p ${POD_NAME} -s ${DEPLOY_SCENARIO} ${ISO_FILE_ARG:-} \
-    -B ${DEFAULT_BRIDGE:-${BRIDGE}} -S ${TMPDIR} \
+    -S ${TMPDIR} ${BRIDGE_ARG:-} \
     -L ${WORKSPACE}/${FUEL_LOG_FILENAME}"
 
 # log info to console
@@ -115,6 +111,15 @@ echo
 ${DEPLOY_COMMAND}
 exit_code=$?
 
+# Temporary workaround for ericsson-virtual* PODs functest integration
+# See https://jira.opnfv.org/browse/FUNCTEST-985
+# Set iptables rule to allow forwarding return traffic for container
+redirect=/dev/stdout
+if ! sudo iptables -C FORWARD -j RETURN 2> ${redirect} || \
+   ! sudo iptables -L FORWARD | awk 'NR==3' | grep RETURN 2> ${redirect}; then
+     sudo iptables -I FORWARD -j RETURN
+fi
+
 echo
 echo "--------------------------------------------------------"
 echo "Deployment is done!"